Bug 1473435 - [abrt] dnf: subprocess.py:271:check_call:subprocess.CalledProcessError: Command '['journalctl', '--boot', 'd5318db518e541fcbc8ce51dd469c2f0']' returned non-zero exit status -13
[abrt] dnf: subprocess.py:271:check_call:subprocess.CalledProcessError: Comma...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
24
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ccb1b9848da3810dd7cd662f354...
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 16:19 EDT by Al Schapira
Modified: 2017-10-04 18:25 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-2.0.3-1.fc27 dnf-plugins-extras-2.0.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-04 10:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (3.36 KB, text/plain)
2017-07-20 16:19 EDT, Al Schapira
no flags Details
File: _var_tmp_dnf-ads-ibqwttz__dnf.librepo.log (8.54 KB, text/plain)
2017-07-20 16:19 EDT, Al Schapira
no flags Details
File: _var_tmp_dnf-ads-ibqwttz__dnf.log (4.39 KB, text/plain)
2017-07-20 16:19 EDT, Al Schapira
no flags Details
File: _var_tmp_dnf-ads-ibqwttz__dnf.rpm.log (98 bytes, text/plain)
2017-07-20 16:19 EDT, Al Schapira
no flags Details
File: backtrace (1.62 KB, text/plain)
2017-07-20 16:19 EDT, Al Schapira
no flags Details
File: dnf-makecache.log (387.32 KB, text/plain)
2017-07-20 16:19 EDT, Al Schapira
no flags Details
File: environ (3.34 KB, text/plain)
2017-07-20 16:19 EDT, Al Schapira
no flags Details

  None (edit)
Description Al Schapira 2017-07-20 16:19:03 EDT
Version-Release number of selected component:
dnf-1.1.10-4.fc24

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /bin/dnf system-upgrade log -1
executable:     /bin/dnf
kernel:         4.11.6-101.fc24.i686
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
subprocess.py:271:check_call:subprocess.CalledProcessError: Command '['journalctl', '--boot', 'd5318db518e541fcbc8ce51dd469c2f0']' returned non-zero exit status -13

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1099, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.5/site-packages/dnf-plugins/system_upgrade.py", line 434, in run
    self._call_sub("run", extcmds)
  File "/usr/lib/python3.5/site-packages/dnf-plugins/system_upgrade.py", line 442, in _call_sub
    subfunc(*args)
  File "/usr/lib/python3.5/site-packages/dnf-plugins/system_upgrade.py", line 610, in run_log
    show_log(n)
  File "/usr/lib/python3.5/site-packages/dnf-plugins/system_upgrade.py", line 292, in show_log
    check_call(['journalctl', '--boot', boot_id.hex])
  File "/usr/lib/python3.5/subprocess.py", line 271, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['journalctl', '--boot', 'd5318db518e541fcbc8ce51dd469c2f0']' returned non-zero exit status -13

Local variables in innermost frame:
cmd: ['journalctl', '--boot', 'd5318db518e541fcbc8ce51dd469c2f0']
popenargs: (['journalctl', '--boot', 'd5318db518e541fcbc8ce51dd469c2f0'],)
retcode: -13
kwargs: {}
Comment 1 Al Schapira 2017-07-20 16:19:09 EDT
Created attachment 1301988 [details]
File: _var_log_dnf.log
Comment 2 Al Schapira 2017-07-20 16:19:10 EDT
Created attachment 1301989 [details]
File: _var_tmp_dnf-ads-ibqwttz__dnf.librepo.log
Comment 3 Al Schapira 2017-07-20 16:19:12 EDT
Created attachment 1301990 [details]
File: _var_tmp_dnf-ads-ibqwttz__dnf.log
Comment 4 Al Schapira 2017-07-20 16:19:13 EDT
Created attachment 1301991 [details]
File: _var_tmp_dnf-ads-ibqwttz__dnf.rpm.log
Comment 5 Al Schapira 2017-07-20 16:19:14 EDT
Created attachment 1301992 [details]
File: backtrace
Comment 6 Al Schapira 2017-07-20 16:19:22 EDT
Created attachment 1301993 [details]
File: dnf-makecache.log
Comment 7 Al Schapira 2017-07-20 16:19:23 EDT
Created attachment 1301994 [details]
File: environ
Comment 8 Fedora End Of Life 2017-07-25 20:26:47 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Jaroslav Mracek 2017-07-27 03:14:25 EDT
Please can you still reproduce the problem? 
Please could you provide a command that produce the traceback, because I cannot find it in dnf.log?
Thanks a lot.
Comment 10 Al Schapira 2017-08-07 15:01:47 EDT
I have no idea what triggered this abort or how to reproduce it. It "just happened".
Comment 11 Jaroslav Mracek 2017-08-08 14:44:53 EDT
Thanks, for information. I create a patch, that should prevent trace backs (https://github.com/rpm-software-management/dnf-plugins-extras/pull/103).
Comment 12 Fedora End Of Life 2017-08-08 15:51:19 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Fedora Update System 2017-10-02 06:33:33 EDT
dnf-plugins-extras-2.0.3-1.fc27 dnf-plugins-core-2.1.4-1.fc27 dnf-2.7.2-1.fc27 libdnf-0.10.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683
Comment 14 Fedora Update System 2017-10-02 06:37:21 EDT
dnf-plugins-extras-2.0.3-1.fc26 dnf-plugins-core-2.1.4-1.fc26 dnf-2.7.2-1.fc26 libdnf-0.10.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065
Comment 15 Fedora Update System 2017-10-02 16:28:09 EDT
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065
Comment 16 Fedora Update System 2017-10-02 17:27:29 EDT
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683
Comment 17 Fedora Update System 2017-10-04 10:23:01 EDT
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2017-10-04 18:25:07 EDT
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.